<?php
session_start();
if(isset($_SESSION["ruc_empresa"]) && trim($_SESSION["ruc_empresa"])!=""){
include("../cn/config".$_SESSION["ruc_empresa"].".php");
}else{
include("../cn/config.php");
}
include('../nusoap/nusoap.php');
if(isset($_POST["tipo"]) && $_POST["tipo"]=="buscaanonima"){
	if(isset($sin_sql) && $sin_sql==1){
$descripcion_error="";
$client = new nusoap_client($ruta_ws,true);
$numero_error=0;
$err  = $client->getError();
if ($err) {
	$descripcion_error.='<h2>Constructor error</h2><pre>' . $err . '</pre>';
 /*echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';*/
  $numero_error=$numero_error+1;
}
$param = array("ext_doc"=>"PdfXML","filename"=>trim($ruccia_web)."-".trim($_POST["cdocu_fac"])."-".trim($_POST["serie_fac"])."-".trim($_POST["ndocu_fac"]).".pdf","ruc"=>$ruccia_web);
$result = $client->call('sp_webfe_existe',$param);
 $i=0;
if ($client->fault) {
	$descripcion_error.='No se pudo completar la operación';
/*echo 'No se pudo completar la operación'; 
die(); */
 $numero_error=$numero_error+1;
} else { 
$err = $client->getError();

if ($err) { 
$descripcion_error.='Error:' . $err;
/*echo 'Error:' . $err; 
die(); */
 $numero_error=$numero_error+1;
} 
}
if($numero_error>0){
if($ver_detalle_error==0){
	$descripcion_error="Error de conexi&oacute;n";
}
$msg = array("error" => "ERROR", 'desc_error' => $descripcion_error);
header('content-type: application/json');
echo json_encode($msg);
}else if(isset($result["sp_webfe_existeResult"])){
if($result["sp_webfe_existeResult"]==1){
echo trim($ruccia_web)."-".trim($_POST["cdocu_fac"])."-".trim($_POST["serie_fac"])."-".trim($_POST["ndocu_fac"]);
}else{ 
echo 0;
}
}else{
echo 0;
}



	}else{
	$descripcion_error="";
$client = new nusoap_client($ruta_ws,true);
$numero_error=0;
$err  = $client->getError();
if ($err) {
	$descripcion_error.='<h2>Constructor error</h2><pre>' . $err . '</pre>';
 /*echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';*/
  $numero_error=$numero_error+1;
}
$param = array("cdocu"=>$_POST["cdocu_fac"],"ndocu"=>trim($_POST["serie_fac"])."-".trim($_POST["ndocu_fac"]));
$result = $client->call('sp_webfe_Busqueda_Anonima_MstFac',$param);
 $i=0;
if ($client->fault) {
	$descripcion_error.='No se pudo completar la operación';
/*echo 'No se pudo completar la operación'; 
die(); */
 $numero_error=$numero_error+1;
} else { 
$err = $client->getError();

if ($err) { 
$descripcion_error.='Error:' . $err;
/*echo 'Error:' . $err; 
die(); */
 $numero_error=$numero_error+1;
} 
}
if($numero_error>0){
if($ver_detalle_error==0){
	$descripcion_error="Error de conexi&oacute;n";
}
$msg = array("error" => "ERROR", 'desc_error' => $descripcion_error);
header('content-type: application/json');
echo json_encode($msg);
}else if(isset($result["sp_webfe_Busqueda_Anonima_MstFacResult"]["Facturas"]) && count($result["sp_webfe_Busqueda_Anonima_MstFacResult"]["Facturas"])>1){
if(trim($result["sp_webfe_Busqueda_Anonima_MstFacResult"]["Facturas"]["fecha"])==trim($_POST["fecha_fac"]) && trim(abs($result["sp_webfe_Busqueda_Anonima_MstFacResult"]["Facturas"]["monto"]))==trim(abs($_POST["monto_fac"]))){
echo trim($ruccia_web)."-".trim($_POST["cdocu_fac"])."-".trim($_POST["serie_fac"])."-".trim($_POST["ndocu_fac"]);
}else{ 
echo 0;
}
}else{
echo 0;
} 	
	}

}

?>